#include <QNetworkReply>
#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    mNetworkManager = new QNetworkAccessManager();
    connect(mNetworkManager, SIGNAL(finished(QNetworkReply*)), SLOT(slotFinished(QNetworkReply*)));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pbtnRequest1_clicked()
{
    mOutputTextEdit = ui->ptxteRequest1;
    QNetworkRequest tRequest;
    tRequest.setUrl(QUrl(ui->leRequest1->text()));
    mNetworkManager->get(tRequest);
}

void MainWindow::on_pbtnRequest2_clicked()
{
    mOutputTextEdit = ui->ptxteRequest2;
    QNetworkRequest tRequest;
    tRequest.setUrl(QUrl(ui->leRequest2->text()));
    mNetworkManager->get(tRequest);
}

void MainWindow::slotFinished(QNetworkReply *xReply)
{
    if(xReply->error())
    {
        mOutputTextEdit->setPlainText(mOutputTextEdit->toPlainText() + xReply->errorString() + "\n########\n");
    }
    else
    {
        mOutputTextEdit->setPlainText(mOutputTextEdit->toPlainText() + QString(xReply->readAll() + "\n########\n"));
    }
    xReply->deleteLater();
}


